import { axios } from '@/utils/request'
// 新用户注册量
export const getNewRegister = params => {
  const url = `/customer/queryRegisterCustomerNumList`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 分时投递记录
export const getTimeSharingLog = params => {
  const url = `/putInTimeShareing/queryDeliveryLogInfo`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 获取试点单位数（网点数量）
export const getDwTotal = params => {
  const url = `/station/countStationNum`
  return axios({
    url: url,
    method: 'get'
  })
}
// 投递量前五站站点
export const getDeliveryTop = params => {
  const url = `/stationRubbish/getSumRubbishDeliveryInfo`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 热力图
export const getHeatMapData = params => {
  const url = `/deliveryLog/queryStationInfoWithDeliveryTimes`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 获取当前地区经纬度
export const getLocationCode = params => {
  const url = `/station/queryLocationByLocationCode?keyword=${params.keyword}`
  return axios({
    url: url,
    method: 'GET'
  })
}
// 按垃圾类型分类统计垃圾总量 (各分类垃圾量分布)
export const getRubbishTypeTotal = params => {
  const url = `/stationRubbish/getSumWeightPercentByRubbishType`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 垃圾产生量
export const querySumWeight = params => {
  const url = `/stationRubbish/querySumWeight`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 各机构投递量分布比例
export const labelWeightPercent = params => {
  const url = `/stationRubbish/querySumWeightByLabelType`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 设备分布比例
export const devicePercent = params => {
  const url = `/device/queryDeviceByLabel`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
